com.mathworks.mps.client.rest

## Class HTTPErrorInfo

- java.lang.Object
- - com.mathworks.mps.client.rest.HTTPErrorInfo

-     public class HTTPErrorInfo
      extends java.lang.Object

  This class parses the error response body for the GET Result of Request request when the state of the request is ERROR_STATE.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPErrorInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHttpBody()` Returns the HTTP body for the failed request.
    `int` | `getHttpErrorCode()` Returns the HTTP error code for the failed request.
    `java.lang.String` | `getHttpErrorMessage()` Returns the HTTP error message for the failed request.
    `static HTTPErrorInfo` | `newInstance(byte[] byteStream)` Creates an HTTPErrorInfo object.
    `static HTTPErrorInfo` | `newInstance(java.io.InputStream inputStream)` Creates an HTTPErrorInfo object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPErrorInfo

          public HTTPErrorInfo()

  - ### Method Detail

    - #### newInstance

          public static HTTPErrorInfo newInstance(java.io.InputStream inputStream)

      Creates an HTTPErrorInfo object.
      Parameters:
        `inputStream` -
      Returns:
        `HTTPErrorInfo`

    - #### newInstance

          public static HTTPErrorInfo newInstance(byte[] byteStream)

      Creates an HTTPErrorInfo object.
      Parameters:
        `byteStream` -
      Returns:
        `HTTPErrorInfo`

    - #### getHttpErrorCode

          public int getHttpErrorCode()

      Returns the HTTP error code for the failed request.
      Returns:
        int

    - #### getHttpErrorMessage

          public java.lang.String getHttpErrorMessage()

      Returns the HTTP error message for the failed request.
      Returns:
        String

    - #### getHttpBody

          public java.lang.String getHttpBody()

      Returns the HTTP body for the failed request.
      Returns:
        String

Copyright 2010-2022 The MathWorks, Inc.